#ifndef TOOLTIP_H
#define TOOLTIP_H

#include <QFrame>
#include <QCheckBox>
#include <QEvent>

class KeeperToolTip : public QFrame
{
    Q_OBJECT

    public:
       KeeperToolTip(QString jid, bool checked, QObject *parent = 0);

    private:
       QCheckBox *box_;
       QString jid_;

    private slots:
       void stateChanged(int);

    signals:
       void check(QString, bool);

    protected:
       void leaveEvent(QEvent * event);
};



#endif // TOOLTIP_H
